﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Abstract" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Abstract rule validations for Data Types that are applicable accross all of the AS services.</title>

<!-- SBDH ABSTRACT RULES -->

<rule abstract="true" id="xsd-sbdh-datatype-date">


<assert  id="CMN.ATO.GEN.100012" diagnostics="DCMN.ATO.GEN.100012" test="@i:nil='true' or @i:nil='1' or matches(.,'^(?:(?:1[6-9]|[2-9]\d)?\d{2})[-](?:(0?[13578]|1[02])[-]31|(0?[1,3-9]|1[012])[-](?:29|30))|(?:(?:(?:1[6-9]|[2-9]\d)(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00)))[-](0?2[-]29)|(?:(?:1[6-9]|[2-9]\d)?\d{2})[-](?:(?:0?[1-9])|(1[012]))[-](?:0?[1-9]|1\d|2[0-8])?T\d{2}:\d{2}:\d{2}(\.\d+)?Z$')">SBDH: Field not supplied in valid xs:dateTime format</assert>
</rule>

<rule abstract="true" id="xsd-sbdh-datatype-integer">


<assert  id="CMN.ATO.GEN.100013" diagnostics="DCMN.ATO.GEN.100013" test="@i:nil='true' or @i:nil='1' or matches(.,'^[-]?\d+$')">SBDH: Field not supplied in valid xs:integer format</assert>
</rule>
<!-- GENERAL DATA TYPE ABSTRACT RULES -->

<rule abstract="true" id="xsd-datatype-date">


<assert  id="CMN.ATO.GEN.001008" diagnostics="DCMN.ATO.GEN.001008" test="@i:nil='true' or @i:nil='1' or . castable as xs:date">Field not supplied in valid date format</assert>
</rule>

<rule abstract="true" id="xsd-datatype-monetary">


<assert  id="CMN.ATO.GEN.001009" diagnostics="DCMN.ATO.GEN.001009" test="@i:nil='true' or @i:nil='1' or matches(.,'^-?\d+$')">Field not supplied in valid monetary format</assert>
</rule>

<rule abstract="true" id="xsd-datatype-boolean">


<assert  id="CMN.ATO.GEN.001010" diagnostics="DCMN.ATO.GEN.001010" test="@i:nil='true' or @i:nil='1' or matches(.,'^(0|1|true|false)$')">Field not supplied in valid boolean format</assert>
</rule>

<rule abstract="true" id="xsd-datatype-positiveIntegerItemType">


<assert  id="CMN.ATO.GEN.001013" diagnostics="DCMN.ATO.GEN.001013" test="@i:nil='true' or @i:nil='1' or matches(.,'^[1-9]\d*$')">Field not supplied in valid Positive Integer format</assert>
</rule>

<rule abstract="true" id="xsd-datatype-nonNegativeIntegerItemType">


<assert  id="CMN.ATO.GEN.001014" diagnostics="DCMN.ATO.GEN.001014" test="@i:nil='true' or @i:nil='1' or matches(.,'^\d+$')">Field not supplied in valid Non Negative Integer format</assert>
</rule>

<rule abstract="true" id="xsd-datatype-decimal">


<assert  id="CMN.ATO.GEN.001018" diagnostics="DCMN.ATO.GEN.001018" test="@i:nil='true' or @i:nil='1' or matches(.,'^[-]?\d+(\.\d+)?$')">Field not supplied in valid decimal format</assert>
</rule>
<!-- SPECIFIC DATA TYPE ABSTRACT RULES 
 TODO: This is not the correct pattern. Apostrophe was removed. Causing issues. Reinstate. -->

<rule abstract="true" id="xsd-datatype-sbrdocumentidentificationitemtype">


<assert  id="CMN.ATO.GEN.001017" diagnostics="DCMN.ATO.GEN.001017" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z \.,\?\(\)\{\}:;''\|\-_=\\/@#$%\*=&amp;&quot;])*$')">Field not supplied in valid format</assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrpostcodeitemtype">


<assert  id="CMN.ATO.GEN.001017" diagnostics="DCMN.ATO.GEN.001017" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{4}$')">Field not supplied in valid format</assert>
</rule>
<!-- TODO: This is not the correct pattern. Apostrophe was removed. Causing issues. Reinstate. -->

<rule abstract="true" id="xsd-datatype-sbrorganisationnameitemtype">


<assert  id="CMN.ATO.GEN.001017" diagnostics="DCMN.ATO.GEN.001017" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;''\|\-_=\\/@#$%\*=&amp;&quot;])*$')">Field not supplied in valid format</assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrtelephonenumberitemtype">


<assert  id="CMN.ATO.GEN.001017" diagnostics="DCMN.ATO.GEN.001017" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z\s])*$')">Field not supplied in valid format</assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrorganisationbranchitemtype">


<assert  id="CMN.ATO.GEN.001017" diagnostics="DCMN.ATO.GEN.001017" test="@i:nil='true' or @i:nil='1' or matches(.,'^([1-9]|[1-9][0-9]|[1-9][0-9][0-9])*$')">Field not supplied in valid format</assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrtaxfilenumberitemtype">


<assert  id="CMN.ATO.GEN.001017" diagnostics="DCMN.ATO.GEN.001017" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9])*$')">Field not supplied in valid format</assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrTaxAgentNumberItemType">


<assert  id="CMN.ATO.GEN.001017" diagnostics="DCMN.ATO.GEN.001017" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{8}$')">Field not supplied in valid format</assert>
</rule>
</pattern>