﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Rule validations for contexts that are applicable accross all of the AS services.</title>

<!-- 
 DATA TYPE VALIDATIONS 
 -->

<rule name="VR.ATO.GEN.001002" context="xbrli:xbrl/xbrli:context/xbrli:period/xbrli:startDate">
<extends rule="xsd-datatype-date" />
</rule>

<rule name="VR.ATO.GEN.001002" context="xbrli:xbrl/xbrli:context/xbrli:period/xbrli:endDate">
<extends rule="xsd-datatype-date" />
</rule>
<!-- 
 GENERAL VALIDATIONS 
 -->

<rule context="xbrli:context">


<assert  id="VR.ATO.AS.000201" diagnostics="DVR.ATO.AS.000201" test="count(xbrli:period[not(@i:nil='true' or @i:nil='1') and ./xbrli:startDate castable as xs:date and ./xbrli:endDate castable as xs:date and function:IsDate1GreaterThanDate2(./xbrli:startDate, ./xbrli:endDate)]) = 0">Period start date must be prior to Period end date</assert>


<assert  id="VR.ATO.AS.000202" diagnostics="DVR.ATO.AS.000202" test="count(xbrli:period[not(@i:nil='true' or @i:nil='1') and 
                          ./xbrli:startDate castable as xs:date
                          and not(function:IsDate1GreaterOrEqualToDate2(./xbrli:startDate, '2000-07-01'))]) = 0">Period start date can not be prior to 1/7/2000</assert>


<assert  id="VR.ATO.AS.000199" diagnostics="DVR.ATO.AS.000199" test="count(xbrli:period/xbrli:startDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')]) =1">Mandatory field not supplied</assert>


<assert  id="VR.ATO.AS.000237" diagnostics="DVR.ATO.AS.000237" test="count(xbrli:period/xbrli:endDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])=1">Mandatory field not supplied</assert>


<assert  id="VR.ATO.AS.000234" diagnostics="CMN.ATO.AS.000038" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3]/xbrldi:explicitMember[contains(@dimension,'LiabilityEstimationMethod') and not(contains(., 'CommissionerChosen')) and not(contains(., 'BusinessEstimation')) and not(contains(., 'BusinessVariation')) and not(contains(., 'Calculation'))]) = 0"></assert>


<assert  id="VR.ATO.AS.000235" diagnostics="CMN.ATO.AS.000055" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1]/xbrldi:explicitMember[not(contains(., 'ReportingParty')) and not(contains(., 'Intermediary'))]) = 0 and
                count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[contains(@dimension,'ReportPartyType') and not(contains(., 'ReportingParty'))]) = 0"></assert>


<assert  id="VR.ATO.AS.000236" diagnostics="CMN.ATO.AS.000039" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[contains(@dimension,'TaxObligationType') and not(contains(.,'FBT')) and not(contains(.,'GST')) and not(contains(.,'PAYGI')) and not(contains(.,'PAYGW'))]) = 0 and
                      count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) &gt; 2]/xbrldi:explicitMember[contains(@dimension,'TaxObligationType') and not(contains(.,'FBT')) and not(contains(.,'GST')) and not(contains(.,'PAYGI')) and not(contains(.,'PAYGW'))]) = 0"></assert>


<assert  id="VR.ATO.AS.000239" diagnostics="CMN.ATO.AS.000056" test="count(xbrli:entity/xbrli:identifier[not(@scheme='http://www.ato.gov.au/abn') and not(@scheme='http://www.ato.gov.au/tfn')]) = 0"></assert>


<assert  id="VR.ATO.AS.000245" diagnostics="CMN.ATO.AS.000034" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and count(./xbrldi:explicitMember[contains(@dimension,'LiabilityEstimationMethod') and string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')]) = 1]/xbrldi:explicitMember[contains(@dimension,'TaxObligationType') and not(contains(.,'FBT')) and not(contains(.,'GST')) and not(contains(.,'PAYGI')) and not(contains(.,'PAYGW'))]) = 0"></assert>
</rule>

<rule context="xbrli:context/xbrli:entity[xbrli:segment/xbrldi:explicitMember[contains(., 'ReportingParty')]]">


<assert  id="VR.ATO.AS.000205" diagnostics="DVR.ATO.AS.000205" test="
                    string-length(normalize-space(
                    xbrli:identifier[@scheme = 'http://www.ato.gov.au/abn' or @scheme = 'http://www.ato.gov.au/tfn']
                  )) &gt; 0
                  ">Taxpayer (Reporting Party) ABN or TFN is required</assert>


<assert  id="VR.ATO.AS.000207" diagnostics="DVR.ATO.AS.000207" test="$Int.ContextId or 
                        string-length(normalize-space(
                        xbrli:identifier[@scheme = 'http://www.ato.gov.au/abn'])) &gt; 0">ABN is required</assert>
</rule>

<rule context="xbrli:context/xbrli:entity[xbrli:segment/xbrldi:explicitMember[contains(., 'Intermediary')]]">


<assert  id="VR.ATO.AS.000206" diagnostics="DVR.ATO.AS.000206" test="
                    string-length(normalize-space(
                    xbrli:identifier[@scheme = 'http://www.ato.gov.au/abn'])) &gt; 0">Intermediary ABN is required</assert>
</rule>

<rule context="xbrli:xbrl">


<assert  id="VR.ATO.AS.000208" diagnostics="CMN.ATO.GEN.000054" test="count(xbrli:context[@id=$RP.ContextId]) = 1"></assert>


<assert  id="VR.ATO.AS.000226" diagnostics="CMN.ATO.AS.000058" test="count(xbrli:context[@id=$Int.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000240" diagnostics="CMN.ATO.AS.000057" test="count(xbrli:context[count(@id) = 0 and not(@i:nil='true' or @i:nil='1')]) = 0"></assert>
</rule>
</pattern>