﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Lodge Mandatory Validations</title>


<rule context="xbrli:context">
<!-- 
 CONTEXT RULES 
 
 this will bring the first RP.ABN that is found to be considered as the "baseline" ABN -->

<let name="RP.ABN" value="../xbrli:context[@id=$RP.ContextId]/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/abn']" />

<let name="RP.TFN" value="../xbrli:context[@id=$RP.ContextId]/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']" />
<!-- this will bring the first RP.TFN that is found to be considered as the "baseline" TFN -->


<assert  id="VR.ATO.AS.000203" diagnostics="DVR.ATO.AS.000203" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[contains(.,'ReportingParty')]/../../xbrli:identifier[@scheme='http://www.ato.gov.au/abn' and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and . != $RP.ABN]) = 0">Multiple taxpayer (Reporting Party) ABNs provided</assert>


<assert  id="VR.ATO.AS.000204" diagnostics="DVR.ATO.AS.000204" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[contains(.,'ReportingParty')]/../../xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and . != $RP.TFN]) = 0">Multiple taxpayer (Reporting Party) TFNs provided</assert>
</rule>

<rule context="xbrli:xbrl">
<!-- 
 CONTEXT RULES 
 -->

<let name="RP.FBT.CAL.ContextId" value="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'FBT') or contains(./xbrldi:explicitMember[2],'FBT') or contains(./xbrldi:explicitMember[3],'FBT')) and (contains(./xbrldi:explicitMember[1],'Calculation') or contains(./xbrldi:explicitMember[2],'Calculation') or contains(./xbrldi:explicitMember[3],'Calculation'))]/xbrldi:explicitMember/../../../@id" />


<assert  id="VR.ATO.AS.000209" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.GST.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000210" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.GST.CC.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000211" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.GST.BE.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000212" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.GST.BV.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000213" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.GST.CAL.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000214" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.FBT.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000215" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.FBT.CC.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000216" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.FBT.BE.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000217" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.FBT.BV.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000218" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.PAYGI.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000219" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.PAYGI.CC.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000220" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.PAYGI.BE.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000221" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.PAYGI.BV.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000222" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.PAYGI.CAL.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000223" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.PAYGI.CC.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000224" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.PAYGI.BV.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000225" diagnostics="CMN.ATO.AS.428278" test="count(xbrli:context[@id=$RP.PAYGW.ContextId]) &lt;= 1"></assert>


<assert  id="VR.ATO.AS.000230" diagnostics="CMN.ATO.AS.000035" test="not(count(xbrli:context[@id=$RP.GST.ContextId]) = 0 and (count(xbrli:context[@id=$RP.GST.CC.ContextId]) + count(xbrli:context[@id=$RP.GST.BV.ContextId]) + count(xbrli:context[@id=$RP.GST.BE.ContextId]) + count(xbrli:context[@id=$RP.GST.CAL.ContextId])) &gt; 0)"></assert>


<assert  id="VR.ATO.AS.000231" diagnostics="CMN.ATO.AS.000036" test="not(count(xbrli:context[@id=$RP.FBT.ContextId]) = 0 and (count(xbrli:context[@id=$RP.FBT.CC.ContextId]) + count(xbrli:context[@id=$RP.FBT.BV.ContextId]) + count(xbrli:context[@id=$RP.FBT.BE.ContextId])) &gt; 0)"></assert>
<!-- Variable should have null value. -->


<assert  id="VR.ATO.AS.000232" diagnostics="CMN.ATO.AS.000040" test="not(count(xbrli:context[@id=$RP.PAYGI.ContextId]) = 0 and (count(xbrli:context[@id=$RP.PAYGI.CC.ContextId]) + count(xbrli:context[@id=$RP.PAYGI.BV.ContextId]) + count(xbrli:context[@id=$RP.PAYGI.BE.ContextId]) + count(xbrli:context[@id=$RP.PAYGI.CAL.ContextId])) &gt; 0)"></assert>


<assert  id="VR.ATO.AS.000233" diagnostics="CMN.ATO.GEN.000061" test="count(xbrli:context[@id=$RP.FBT.CAL.ContextId]) = 0"></assert>
<!-- 
 MANDATORY RULES 
 -->


<assert  id="VR.ATO.AS.000011" diagnostics="DVR.ATO.AS.000011" test="not((count(pyin:Report.Name.Text[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0) or
                  (string-length(pyin:Report.Name.Text[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0))">Mandatory field not supplied.</assert>


<assert  id="VR.ATO.AS.000023" diagnostics="DVR.ATO.AS.000023" test="not((count(pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0) or
                  (string-length(pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0))">Mandatory field not supplied.</assert>


<assert  id="VR.ATO.AS.000048" diagnostics="DVR.ATO.AS.000048" test="not((count(pyin:Report.Statement.Revision.Indicator[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0) or
                  (string-length(pyin:Report.Statement.Revision.Indicator[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0))">Mandatory field not supplied.</assert>


<assert  id="VR.ATO.AS.000057" diagnostics="DVR.ATO.AS.000057" test="not ($RP.FBT.ContextId and 
                    (count(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef=$RP.FBT.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0 
                    or string-length(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef=$RP.FBT.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0))">Mandatory field not supplied</assert>


<assert  id="VR.ATO.AS.000200" diagnostics="DVR.ATO.AS.000200" test="not(
                            count(pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text[not(@i:nil = 'true' or @i:nil = '1')]) = 0 or  
                            (string-length(pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text)=0 ))">DIN - Document identification number is required</assert>


<assert  id="VR.ATO.AS.000242" diagnostics="DVR.ATO.AS.000242.0" test="not($Int.ContextId and 
                  count(pyin:Report.Submission.Date[@contextRef=$Int.ContextId and string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')]) = 0)">Mandatory field not supplied</assert>
</rule>
</pattern>